@import '~@angular/material/theming';
@import '../custom-variables';

@mixin alert-notification-theme($theme) {
  $accent: map-get($theme, accent);
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);


  .alert-notification,
  .alert-toaster {
    width: calc(100% - 1.75rem);
    border-top: 0.0125rem solid mat-color($accent, 300);
    border-right: 0.0125rem solid mat-color($accent, 300);
    border-bottom: 0.0125rem solid mat-color($accent, 300);
    border-left: 0.313rem solid mat-color($accent, 300);
    border-radius: 0.25rem;
    color: $sky-blue-700;
    padding: 0.875rem;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;

    .content {
      margin-left: 1rem;
    }

    .title {
      font-size: 0.875rem;
      line-height: 0.875rem;
      color: $grey-9;
      margin: 0 0 0 0;
      display: block;
      font-weight: 500;
      display: inline-flex;
      padding-right: 1rem;
    }

    .description {
      font-size: 0.75rem;
      color: $grey-7;
      display: block;
      padding-right: 1rem;
      margin-top: 0.25rem;
    }

    button {
      margin-left: auto;
    }

    .mat-icon-button {
      margin-left: auto;
      align-self: center;

      .mat-icon {
        color: $grey-5;
      }

      .mat-ripple-element {
        display: none;
      }

      &:hover,
      &:focus,
      &:enabled,
      &:focus:enabled,
      &:active,
      &:active:enabled {
        background: transparent;
        box-shadow: none;
      }

      &:hover {
        mat-icon {
          svg {
            color: mat-color($accent, 700);
          }
        }

      }

    }



    &.success {
      border-left-color: $green-700;

      mat-icon {
        color: $green-700;
      }
    }

    &.warning {
      border-left-color: $orange-700;

      mat-icon {
        color: $orange-700;
      }
    }

    &.information {
      border-left-color: $sky-blue-700;

      mat-icon {
        color: $sky-blue-700;
      }
    }

    &.danger {
      border-left-color: $red-700;

      mat-icon {
        color: $red-700;
      }
    }
  }

  .alert-toaster {
    width: auto;
    display: inline-flex;

    .first {
      align-self: center;
    }

    .title {
      padding-right: 1rem;
      padding-top: 0.2rem;
      padding-bottom: 0.4rem;
      align-self: center;
      width: 100%;
      max-width: 16rem;
    }
  }
}
